$("form").submit(function () {
	Login();
	return false;
});
function Request() {
	var request = {
		url: "",
		parameters: {},
		ddType: "",
		resourceType: ""
	};
	return request;
}
function CallPythonService(request) {
	return new Promise(function (resolve, reject) {
		$.ajax({
			type: "Get",
			url: request.url,
			contentType: 'application/json',
			dataType: 'json',
			headers: { 'Access-Control-Allow-Origin': '*' },
			data: request.parameters,
			success: function (response) {
				resolve(response);
			},
			error: function (ex) {
				if (!isProduction) {
					console.log(ex);
				}
			}
		});
	});
}

$(function () {
	$("#txtPassword").keypress(function (e) {
		if (e.which == 13) {
			//alert('You pressed enter!');
			Login();
		}
	});
});
var user = { "UserName": "", "Userid": 0, "Name": '', "LoginDate": new Date(), 'LastUpdatedDate': new Date() };

function GenerateRandom(length) {
	var text = "";
	var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
	for (var i = 0; i < length; i++) {
		text += possible.charAt(Math.floor(Math.random() * possible.length));
	}
	return text;
}
function BindResponseData(Type, response) {
	if (Type == 'ValidateUser') {
		if (response.status == 'success') {
		user.SUID = GenerateRandom(8);
			user.UserName = response.userName;
			user.Name = response.FirstName;
			user.Userid = response.id;
			user.LoginDate = Date.parse(new Date());
			user.LastUpdatedDate = Date.parse(new Date());
			sessionStorage.setItem("sessionData", JSON.stringify(user));
			sessionStorage.setItem("configData", JSON.stringify(response.clientConfiguration));
			document.cookie="NASYAUserName="+response.userName+"";
			location.href = response.clientConfiguration+'/index.html'; //GetUrlParam('returnUrl','index.html');
		} else {
			//alert(response.description);
			if (response.isUserBlocked) {
				swal("User Locked", response.description, "error");
				var courntDown = setInterval(function () {
					$('.text-muted').html("Please try after " + response.timeLeft + " seconds");
					if (response.timeLeft != 0)
						response.timeLeft = response.timeLeft - 1;
					else {
						clearInterval(courntDown);
						swal("User Unlocked", "Please login now", "success");
					}
				}, 1000);
			}
			else {
				clearInterval(courntDown);
				swal("Warning", response.description, "warning");
			}
		}
	}
}
function Login() {
	var userName = $('#txtUserName').val();
	var password = $('#txtPassword').val();
	// for device name
	var deviceName = $("#device-name").val();
	if(deviceName === "80"){
		swal("Warning", "Device not Selected", "warning");
		return
	}
	var request = new Request();
	request.url = 'cgi/cgi_ValidateUser.py';
	request.parameters = { 'userName': userName, 'password': password };
	request.Type = 'ValidateUser';
	CallPythonService(request).then(function (response) {
		if (response.status == 'success') {
			user.SUID = GenerateRandom(8);
			user.UserName = response.userName;
			user.Name = response.FirstName;
			user.Userid = response.id;
			user.LoginDate = Date.parse(new Date());
			user.LastUpdatedDate = Date.parse(new Date());
			sessionStorage.setItem("sessionData", JSON.stringify(user));
			// sessionStorage.setItem("configData", response.clientConfiguration);
			sessionStorage.setItem("configData", 'system');

			// location.href = response.clientConfiguration+'/index.html'; //GetUrlParam('returnUrl','index.html');
			location.href = 'system/index.html'; //GetUrlParam('returnUrl','index.html');
		} else {
			//alert(response.description);
			if (response.isUserBlocked) {
				swal("User Locked", response.description, "error");
				var courntDown = setInterval(function () {
					$('.text-muted').html("Please try after " + response.timeLeft + " seconds");
					if (response.timeLeft != 0)
						response.timeLeft = response.timeLeft - 1;
					else {
						clearInterval(courntDown);
						swal("User Unlocked", "Please login now", "success");
					}
				}, 1000);
			}
			else {
				clearInterval(courntDown);
				swal("Warning", response.description, "warning");
			}
		}
	});
}

function GetUrlParam(parameter, defaultvalue) {

	var urlparameter = defaultvalue;
	if (window.location.href.indexOf(parameter) > -1) {
		urlparameter = getUrlVars()[parameter];
	}
	return urlparameter;
}

function getUrlVars() {
	var vars = {};
	var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function (m, key, value) {
		vars[key] = value;
	});
	return vars;
}
if (typeof (Storage) == "undefined") {
	alert("Browser Not support");
}
